<?php
/**
 * @copyright (c) Kufer Software GmbH, Loisachstrasse 4, D-84453 Mühldorf
 */


class TabTeilnehmerQualifikationen extends TabPageDefault
{
  protected $_sightIdAusbildung;
  protected $_sightIdWerdegang;

  public function __construct($pTabName, $pData, $pSightIdAusbildung, $pSightIdWerdegang)
  {
    parent::__construct($pTabName, $pData);
    $this->_sightIdAusbildung = $pSightIdAusbildung;
    $this->_sightIdWerdegang = $pSightIdWerdegang;

    $this->setScroll(true);
  }

  
  public function _getContent()
  {
    $sicht1 = new TeilnehmerAusbild4Tab($this->_data->id);
    $sicht1->tableId = '';
    $sicht1->tableClass = 'tab_ausbildung';
    $sicht1->sightid = $this->_sightIdAusbildung;
    $sicht1->createSight();

    $sicht2 = new TeilnehmerWerdegang4Tab($this->_data->id);
    $sicht2->tableId = '';
    $sicht2->tableClass = 'tab_werdegang';
    $sicht2->sightid = $this->_sightIdWerdegang;
    $sicht2->createSight();

    $str = '<div class="quali_werdegang">';
    $str .= $sicht1->sight . $sicht2->sight;
    $str .= '</div>';

    return $str;
  }

  

  public function getJSDeclarations()
  {
    return parent::getJSDeclarations();
  }

  
  public function getSpecialJS()
  {
    return array('../jquery/plugins/jquery.dataTables.min.js', 'js/MATool/teilninfo.js');
  }

  
  public function getSpecialCSS()
  {
    return array('css/personendetails.css');
  }
}